Getting Job Refund Amounts
Gets the job refund amounts in your workspace.
The get job refund amounts endpoint fetches the refund amounts within a job.
Endpoint
| Method | Url |
|---|---|
GET | /v1.0/jobs/{job_id}/refund-amounts |
Url Parameters
job_id
•
string
The job's ID.
Sample Request
bashCopied1curl -X GET 'https://api.worklayer.com/v1.0/jobs/499d692d-67aa-4127-a45c-b9e27f54afad/refund-amounts' \2-H 'Authorization: Bearer {token}'
Response
An instance of the Job refund amounts resource.
Sample Response
jsonCopied1{2 "job_id": "a439ddfa-6ba4-4b38-8cf0-5d09db1a0af4",3 "amounts": [4 {5 "tax_year": "2024",6 "federal_amount": -812.00,7 "amount_by_state": [],8 "source": "EXTRACTED"9 },10 {11 "tax_year": "2025",12 "federal_amount": 2450.00,13 "amount_by_state": [14 {15 "state": "CA",16 "amount": 375.5017 }18 ],19 "source": "MANUAL"20 }21 ]22}
Errors
Forbidden: API Client cannot view the job's refund amounts.Unauthorized: API Client does not have valid credentials.NotFound: The job was not found.
Last updated on November 16, 2026
Privacy PolicyTerms & Conditions© 2026 Taxfyle